summaryrefslogtreecommitdiff
path: root/examples/openrc/httpsd-6.initd
diff options
context:
space:
mode:
Diffstat (limited to 'examples/openrc/httpsd-6.initd')
-rw-r--r--examples/openrc/httpsd-6.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/examples/openrc/httpsd-6.initd b/examples/openrc/httpsd-6.initd
new file mode 100644
index 0000000..3c80105
--- /dev/null
+++ b/examples/openrc/httpsd-6.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+name="httpsd-6"
+description="tipidee for HTTPS on ipv6"
+_ip=::
+_uid=`id -u www-data`
+_gid=`id -g www-data`
+
+command=/bin/env
+command_args="UID=${_uid} GID=${_gid} KEYFILE=/etc/acme/private/examplecom-key.pem CERTFILE=/etc/acme/examplecom-cert.pem s6-tlsserver -e -U ${_ip} 443 tipideed"
+command_background=yes
+directory=/home/www-data
+pidfile=/run/httpsd-6.pid
+error_log=/run/httpsd-6.fifo
+error_logger="logger -t httpsd-6"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ mkfifo -m 0600 /run/httpsd-6.fifo || :
+}